Bug 509351 - Gnote aborts when ran as root in non-privileged user environment
Gnote aborts when ran as root in non-privileged user environment
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnote (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 08:16 EDT by Michal Nowak
Modified: 2013-03-13 01:45 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.5.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-11 13:15:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-07-02 08:16:29 EDT
Description of problem:

dhcp-lab-124 abrt # gnote 
GConf Error: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://projects.gnome.org/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)
GConf Error: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://projects.gnome.org/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)
GConf Error: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://projects.gnome.org/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)
GConf Error: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://projects.gnome.org/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)
GConf Error: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://projects.gnome.org/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)
GConf Error: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://projects.gnome.org/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)
GConf Error: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://projects.gnome.org/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)
GConf Error: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://projects.gnome.org/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)

GLib-ERROR **: The thread system is not yet initialized.
aborting...
Aborted (core dumped)

Version-Release number of selected component (if applicable):

gnote-0.5.1-1.fc11.x86_64

How reproducible:

always

Steps to Reproduce:
1. login as non-privileged used to desktop
2. open terminal
3. su -
4. gnote
5. a lot of Gconf errors is spitted out and the app is shown in top bar
6. use left mouse button on the icon in bar and Gnote aborts

Core was generated by `gnote'.
Program terminated with signal 6, Aborted.
#0  0x0000003b4cc332f5 in *__GI_raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Current language:  auto; currently minimal

Thread 1 (Thread 24324):
#0  0x0000003b4cc332f5 in *__GI_raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        pid = <value optimized out>
        selftid = <value optimized out>
#1  0x0000003b4cc34b20 in *__GI_abort () at abort.c:88
        act = {__sigaction_handler = {
            sa_handler = 0x3d10cddb80 <g_threads_got_initialized>, 
            sa_sigaction = 0x3d10cddb80 <g_threads_got_initialized>}, 
          sa_mask = {__val = {262272188959, 140735282447064, 19088928, 
              19088896, 19088896, 21329472, 19088928, 262272627584, 21329472, 
              2, 19088928, 262272627584, 140735282447072, 262274931584, 
              262272194292, 21329432}}, sa_flags = 110, sa_restorer = 0x12}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x0000003d10a41d27 in IA__g_logv (log_domain=<value optimized out>, 
    log_level=<value optimized out>, format=<value optimized out>, 
    args1=0x7fff7c848840) at gmessages.c:506
        depth = <value optimized out>
        domain = <value optimized out>
        data = 0x0
        log_func = 0x3d10a41430 <IA__g_log_default_handler>
        domain_fatal_mask = -1
        test_level = G_LOG_FLAG_FATAL
        was_recursion = 0
        i = <value optimized out>
#3  0x0000003d10a41db3 in IA__g_log (
    log_domain=0x5f04 <Address 0x5f04 out of bounds>, log_level=24324, 
    format=0x6 <Address 0x6 out of bounds>) at gmessages.c:526
        args = {{gp_offset = 24, fp_offset = 48, 
            overflow_arg_area = 0x7fff7c848920, 
            reg_save_area = 0x7fff7c848860}}
#4  0x0000003d10a5eece in g_thread_fail () at gthread.c:591
No locals.
#5  0x0000003d19633bed in Glib::Mutex::Mutex (this=0x5f04) at thread.cc:208
No locals.
#6  0x00000000004c4d4f in gnote::TagManager::TagManager (this=0x1455e90)
    at tagmanager.cpp:53
No locals.
#7  0x00000000004c868d in base::Singleton<gnote::TagManager>::obj ()
    at base/singleton.hpp:18
No locals.
#8  gnote::Tray::add_recently_changed_notes () at tray.cpp:305
        min_size = 0
        list_size = 317841901
        days_ago = {m_date = {tv_sec = 1246277178, tv_usec = 829645}}
        template_tag = std::shared_ptr (count -544651224) 0x12286a0
        allChildWidgets = std::list = {
          [0] = 0x1321970,
          [1] = 0x131e530
        }
        menuOpensUpward = false
        am = <value optimized out>
        insertion_point = 2
        newNotePlaceholderWidgets = std::list = {
          [0] = 0x1321970
        }
        start = std::shared_ptr (count 1482132296) 0x12286a0
#9  0x00000000004c89ce in gnote::Tray::update_tray_menu (this=0x1325620, 
    parent=0x5f04) at tray.cpp:245
No locals.
#10 0x00000000004c8a0e in gnote::TrayIcon::show_menu (this=0x1323b80, 
    select_first_item=false) at tray.cpp:418
No locals.
#11 0x0000003d1963c032 in sigc::slot0<void>::operator() (
    this=<value optimized out>)
    at /usr/include/sigc++-2.0/sigc++/functors/slot.h:440
No locals.
#12 Glib::SignalProxyNormal::slot0_void_callback (this=<value optimized out>)
    at signalproxy.cc:97
No locals.
#13 0x0000003d10e0b83e in IA__g_closure_invoke (closure=0x1330fb0, 
    return_value=0x0, n_param_values=1, param_values=0x1232580, 
    invocation_hint=0x7fff7c848c90) at gclosure.c:767
        marshal = 0
        marshal_data = 0x4
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#14 0x0000003d10e21179 in signal_emit_unlocked_R (node=0x1324040, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3317
        tmp = <value optimized out>
        handler = 0x126ca60
        accumulator = 0x0
        emission = {next = 0x7fff7c8490e0, instance = 0x13102a0, ihint = {
            signal_id = 179, detail = 0, run_type = G_SIGNAL_RUN_LAST}, 
          state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x131fe60
        handler_list = 0x126ca60
        return_accu = <value optimized out>
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}}}
        signal_id = 179
        max_sequential_handler_number = 190
        return_value_altered = 1
#15 0x0000003d10e21f49 in IA__g_signal_emit_valist (instance=0x13102a0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff7c848e80)
    at gsignal.c:2980
        signal_return_type = 4
        param_values = <value optimized out>
        node = 0x1324040
        i = <value optimized out>
        n_params = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#16 0x0000003d10e22493 in IA__g_signal_emit (instance=0x5f04, signal_id=24324, 
    detail=6) at gsignal.c:3037
        var_args = {{gp_offset = 24, fp_offset = 48, 
            overflow_arg_area = 0x7fff7c848f60, 
            reg_save_area = 0x7fff7c848ea0}}
#17 0x0000003d12f9ae3f in emit_activate_signal (
    status_icon=<value optimized out>) at gtkstatusicon.c:1240
No locals.
#18 gtk_status_icon_button_press (status_icon=<value optimized out>)
    at gtkstatusicon.c:1707
        handled = 0
#19 0x0000003d12f2df18 in _gtk_marshal_BOOLEAN__BOXED (closure=0x1324520, 
    return_value=0x7fff7c849130, n_param_values=<value optimized out>, 
    param_values=0x1274860, invocation_hint=<value optimized out>, 
    marshal_data=0x3d12f9adc0) at gtkmarshalers.c:84
        data1 = 0x13102a0
        data2 = 0x6
        v_return = <value optimized out>
        __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#20 0x0000003d10e0b83e in IA__g_closure_invoke (closure=0x1324520, 
    return_value=0x7fff7c849130, n_param_values=2, param_values=0x1274860, 
    invocation_hint=0x7fff7c8490f0) at gclosure.c:767
        marshal = 0
        marshal_data = 0x4
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#21 0x0000003d10e20b83 in signal_emit_unlocked_R (node=0x11884a0, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3247
        tmp = 0x1325768
        handler = 0x126cb80
        accumulator = 0x1188520
        emission = {next = 0x0, instance = 0x119de10, ihint = {signal_id = 30, 
            detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, 
          chain_type = 4}
        class_closure = 0x11881f0
        handler_list = 0x126cb80
        return_accu = <value optimized out>
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, 
              v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}}}
        signal_id = 30
        max_sequential_handler_number = <value optimized out>
        return_value_altered = 0
#22 0x0000003d10e21ddc in IA__g_signal_emit_valist (instance=0x119de10, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff7c8492e0)
    at gsignal.c:2990
        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, 
              v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
              v_double = 0, v_pointer = 0x0}}}
        error = <value optimized out>
        signal_return_type = 20
        param_values = <value optimized out>
        node = 0x11884a0
        i = <value optimized out>
        n_params = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#23 0x0000003d10e22493 in IA__g_signal_emit (instance=0x5f04, signal_id=24324, 
    detail=6) at gsignal.c:3037
        var_args = {{gp_offset = 32, fp_offset = 48, 
            overflow_arg_area = 0x7fff7c8493c0, 
            reg_save_area = 0x7fff7c849300}}
#24 0x0000003d1303170f in gtk_widget_event_internal (widget=0x119de10, 
    event=0x1310d10) at gtkwidget.c:4764
        signal_num = <value optimized out>
        return_val = 0
#25 0x0000003d12f26773 in IA__gtk_propagate_event (widget=0x119de10, 
    event=0x1310d10) at gtkmain.c:2396
        tmp = 0x0
        handled_event = 18472464
        __PRETTY_FUNCTION__ = "IA__gtk_propagate_event"
#26 0x0000003d12f27733 in IA__gtk_main_do_event (event=0x1310d10)
    at gtkmain.c:1601
        event_widget = <value optimized out>
        grab_widget = 0x119de10
        window_group = 0x1232960
        rewritten_event = 0x0
        tmp_list = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
#27 0x0000003d1344e17c in gdk_event_dispatch (source=<value optimized out>, 
    callback=<value optimized out>, user_data=<value optimized out>)
    at gdkevents-x11.c:2367
        display = <value optimized out>
        event = <value optimized out>
#28 0x0000003d10a37abe in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1824
        dispatch = 0x3d1344e130 <gdk_event_dispatch>
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = 0x0
        current_source_link = {data = 0x11848c0, next = 0x0}
        source = 0x11848c0
        current = 0x1262700
        i = 0
#29 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2377
No locals.
#30 0x0000003d10a3b278 in g_main_context_iterate (context=0x1184940, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2455
        max_priority = 2147483647
        timeout = 499
        some_ready = 1
        nfds = 1
        allocated_nfds = 279215984
        fds = <value optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#31 0x0000003d10a3b6d5 in IA__g_main_loop_run (loop=0x1325570) at gmain.c:2663
        self = 0x118ff10
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#32 0x0000003d12f27bf7 in IA__gtk_main () at gtkmain.c:1205
        tmp_list = 0x1207190
        functions = 0x0
        init = 0x7fff7c849660
        loop = <value optimized out>
#33 0x000000000046f7d6 in gnote::Gnote::start_tray_icon (this=0x1207190)
    at gnote.cpp:195
No locals.
#34 0x0000000000472888 in gnote::Gnote::main (this=0x1207190, argc=1, 
    argv=0x7fff7c8499a8) at gnote.cpp:140
        context = {_vptr.OptionContext = 0x3d198535d0, gobject_ = 0x1207540, 
          has_ownership_ = true}
        am = @0x1261ee0
        cmd_line = {<Glib::OptionGroup> = {_vptr.OptionGroup = 0x5247b0, 
            map_entries_ = std::map with 4 elements
    /usr/lib/python2.6/site-packages/abrt_exception_handler.py:210: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/abrt_exception_handler.py", line 267, in <lambda>
    handleMyException((etype, value, tb))
  File "/usr/lib/python2.6/site-packages/abrt_exception_handler.py", line 213, in handleMyException
    syslog.syslog("abrt: Pyhook: Detected unhandled exception in %s " % sys.argv[0])
AttributeError: 'module' object has no attribute 'argv'

Original exception was:
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gdb/libstdcxx/v6/printers.py", line 288, in children
    nodetype = gdb.lookup_type('std::_Rb_tree_node< std::pair< %s, %s > >' % (keytype, valuetype))
RuntimeError: No type named std::_Rb_tree_node< std::pair< const Glib::ustring, Glib::OptionGroup::CppOptionEntry > >.
, gobject_ = 0x12071e0, has_ownership_ = false}, m_new_note = false, 
          m_open_start_here = false, m_use_panel = false, 
          m_show_version = false, m_open_note_name = "", m_open_note_uri = "", 
          m_open_external_note_path = "", m_search = {
            static npos = <optimized out>, string_ = ""}, m_note_path = {
            static npos = <optimized out>, string_ = ""}}
        note_path = "/root/.gnote"
        addins = std::list = {
          [0] = 0x1212fe0
        }
#35 0x000000000046e55d in main (argc=1, argv=0x7fff7c8499a8) at main.cpp:39
        kit = {<sigc::trackable> = {callback_list_ = 0x0}, 
          _vptr.Main = 0x3d1b7e50d0, static signal_run_ = {<No data fields>}, 
          static signal_quit_ = {<No data fields>}, 
          static signal_key_snooper_ = {<No data fields>}, 
          static instance_ = 0x7fff7c8498a0}
        app = 0x1207190
        retval = <value optimized out>

  
Actual results:

abort

Expected results:

App working correctly, or at least exited correctly stating GConf was not initialized -> exiting.
Comment 1 Fedora Update System 2009-07-03 15:21:08 EDT
gnote-0.5.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnote-0.5.2-1.fc11
Comment 2 Rahul Sundaram 2009-07-03 15:22:09 EDT
Please test with this update and let me know how it works
Comment 3 Michal Nowak 2009-07-07 06:15:45 EDT
OK. Not seeing the crash again.
Comment 4 Fedora Update System 2009-07-11 13:14:57 EDT
gnote-0.5.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.